
>Menu /MATCH98
>GUIDANCE
Match98 commands

>COMMAND CUTS
>GUIDANCE
Choose Cuts for SVD Segment matching for 98 run
>PARAMETER
+
x*cut    'cut value for cut in x' R D=-1.
y*cut    'cut value for cut in y' R D=-1.
tx*cut   'cut value for cut in tx' R D=-1.
ty*cut   'cut value for cut in ty' R D=-1.
xo*ffset    'offset value for cut in x' R D=-1.
yo*ffset    'offset value for cut in y' R D=-1.
txo*ffset   'offset value for cut in tx' R D=-1.
tyo*ffset   'offset value for cut in ty' R D=-1.
>ACTION MAKUCUTS

>COMMAND SHOW
>GUIDANCE
Show values of/for matching for 98 run
>ACTION MAKUSHOW

>COMMAND LEPTONMODE
>GUIDANCE
Set Mode for selecting Leptons, e.g. ''GOLD'' or ''JPSI''
>PARAMETERS
+
mode     'mode for Lepton selection' C D=' '
>ACTION MAKULEPTONMODE

>COMMAND ECALMODE
>GUIDANCE
Way to simulate the ECAL
>PARAMETER
+
mode    'Ecal simulation mode' I D=0

>ACTION MAKUECALSWITCH


>COMMAND DE
>GUIDANCE
Set width for ecal measurement smearing
>PARAMETERS
+
dE    'width in ratio (range 0..1)' R D=0.
SEED1 'Random Seed' R D=0.
SEED2 'Random Seed' R D=0.
>ACTION MAKUSETDE

#if 0
>COMMAND dpcut
>GUIDANCE
Set cutoff for radiation losses for e
>PARAMETERS
+
dpcut  'Cut Value between IMTR and MIMP P value' R D=0.
>ACTION MAKUDPCUT
#endif


>COMMAND DETECTOR
>GUIDANCE
Select Lepton Detector

>PARAMETER
+
det*ector 'Detector to produce Lepton seed' C D=' '
>ACTION MAKUDETMODE



>COMMAND SAMP
>GUIDANCE
Choose Sampling Factors for ECAL MC Mode
>PARAMETER
+
e1*samp   'Sampling Factor for 1x1 blocks' R D=-1.
e2*samp   'Sampling Factor for 2x2 blocks' R D=-1.
e5*samp   'Sampling Factor for 5x5 blocks' R D=-1.
>ACTION MAKUESAMP

>COMMAND VERBOSE
>GUIDANCE
Set verbosity of the match package
>PARAMETER
+
level    'Verbosity Level (the bigger the more)' I D=-1

>ACTION MAKUVERBOS

>COMMAND RKSET
>GUIDANCE
Set Parameters (Precision) for Runge Kutta routines
>PARAMETER
+
x        'Precision in x  over full distance' R D=-1 
y        'Precision in y  over full distance' R D=-1
tx       'Precision in tx over full distance' R D=-1
ty       'Precision in ty over full distance' R D=-1
fstep    'FStep' I D=0
iter     'Number of Iterations' I D=0
rlenx    'rad. length for adding MS to RK error in x'  R D=-100
rleny    'rad. length for adding MS to RK error in y'  R D=-100
rlentx   'rad. length for adding MS to RK error in tx' R D=-100
rlenty   'rad. length for adding MS to RK error in ty' R D=-100
rlenp    'rad. length for adding MS to RK error in p'  R D=-100

>ACTION MAKURKSET

