*-- Author :    Rainer Mankel   30/01/97

      subroutine matfevnt()

*     **** mother routine for pattern recognition in main tracker system
      implicit none
#include "rang/zfmode.fi"
#include "rang/zfpar.fi"
#include "arte/Arte.fi"
#include "auto/RSEG.fi"
#include "RSEG_cmp.fi"

      integer istat,seg_start,seg_patt,seg_svd,rs,external_level

      integer message_id_1
      data message_id_1 /0/
#include "arte/Arte.ff"
#include "auto/RSEG.ff"

      if (jgede.le.0.or.jgesl.le.0.or.jhitb.le.0) then
         call mepric(message_id_1,1,
     +           'matfevnt: one of tables GEDE/GESL/HITB is not booked')
         go to 999
      endif

      external_level = rlevel_zfpar ! save rlevel set by user

      if (.not.l_rinit) call tfrinit()

      seg_start = nrseg()
**      call tfmatrip(istat)   ! ranger/triplet

      rlevel_zfpar = 2

      if (external_level.eq.2) then
         call tfmatrip(istat)   ! ranger/triplet
      elseif (external_level.eq.10) then ! no main tracker reco
      else
         call matfupstr(istat)    ! ranger/upstream
      endif
      seg_patt = nrseg()

      rlevel_zfpar = 0
      call tfideal(1.,10,0.,200.,0) ! SVD ideal analysis
      seg_svd = nrseg()

      do rs=(seg_start+1),seg_patt ! set cmp for pattern segments
         iq(iqrseg_cmp(rs)) = RSEGc_patt
      enddo

      do rs=(seg_patt+1),seg_svd   ! set cmp for svd segments
         iq(iqrseg_cmp(rs)) = RSEGc_vxd
      enddo

#ifdef TESTFIT
      print *,' ************************************ '
      print *,' *  matfevnt: call tftestfit          * '
      print *,' ************************************ '

      call tftestfit(istat)
#endif

#ifdef TOSVD
      call tfaddp(ns0)

      call tfclr()
      call tftosvd(ns0,istat)
#endif

      rlevel_zfpar = external_level

 999  end






