      SUBROUTINE makuverbos()
************************************************************************
*     Author     : Peter J. Weyers <weyers@ifh.de>
*     Description: Invoked by KUIP to interactivly choose which Lepton
*                  detector is used by the match98 package
*
************************************************************************
      IMPLICIT NONE

      INTEGER level

#include "match98.fi"

      CALL KUGETI(level)
      
      IF(level.GT.4) THEN
         IF(ma_verblvl_set.EQ.ma_gic_true)
     $        WRITE(*,*) ' Match98 verbosity level was: ',ma_verblvl
      ENDIF   

      IF(level.LT.0.AND.
     $     (ma_verblvl_set.NE.ma_gic_true.OR.ma_verblvl.LT.10)) THEN
         level=10
      ENDIF

      IF(level.GE.0) THEN
         ma_verblvl=level
         ma_verblvl_set=ma_gic_true
      ENDIF

      IF(ma_verblvl.GT.4)
     $     WRITE(*,*) ' Match98 verbosity level now: ',ma_verblvl

      END
      
