
      subroutine matushowlep(verblvl)

      implicit none
      

************************************************************************
* Author     : Peter J. Weyers <weyers@ifh.de>
* Description: Show the MC particles found by matuloclep() or tuloclep()
*
      INTEGER verblvl           ! in Verbositiy level on which I print
*
************************************************************************


#include "match98.fi"
#include "mapstat.fi"
      INTEGER ngold

      IF(ma_verblvl.GE.verblvl) THEN
         WRITE(*,*) 
     $        ' matushowlep:  l+    l-   pi+    pi-  JPsi/Y  K     B'
         DO ngold=1,ma_pstat_n
            WRITE(*,'(a,7I6)') '            ',
     $           ma_pstat(pstat_lplus  ,ngold),
     $           ma_pstat(pstat_lminus ,ngold),
     $           ma_pstat(pstat_piplus ,ngold),
     $           ma_pstat(pstat_piminus,ngold),
     $           ma_pstat(pstat_JPsi   ,ngold),
     $           ma_pstat(pstat_K0s    ,ngold),
     $           ma_pstat(pstat_B0     ,ngold)
         ENDDO
      ENDIF
      IF(ma_verblvl.GE.(verblvl+5)) WRITE(*,*) '            ',
     $     ' ma_lep_mode=',ma_lep_mode


      end

