      SUBROUTINE MAKUCUTS()
      
      IMPLICIT NONE

************************************************************************
*     Author     : Peter J. Weyers <weyers@ifh.de>
*     Description: Invoced by KUIP to interactivly set the cuts to be
*                  used for matching in ma98fisvds()
*
************************************************************************


      REAL x,y,tx,ty,xo,yo,txo,tyo

#include "match98.fi"

      CALL KUGETR(x)
      CALL KUGETR(y)
      CALL KUGETR(tx)
      CALL KUGETR(ty)
      CALL KUGETR(xo)
      CALL KUGETR(yo)
      CALL KUGETR(txo)
      CALL KUGETR(tyo)

      IF(ma_cuts_set.NE.ma_gic_true) THEN
         WRITE(*,*) 'First time cuts are set'
         ma_x_cut=0.2
         ma_y_cut=0.25
         ma_tx_cut=0.0015
         ma_ty_cut=0.002
         ma_x_ofs=-1.
         ma_y_ofs=-1.
         ma_tx_ofs=-1.
         ma_ty_ofs=-1.
         ma_cuts_set=ma_gic_true
      ENDIF

      IF(x.GE.-.5)  ma_x_cut=x
      IF(y.GE.-.5)  ma_y_cut=y
      IF(tx.GE.-.5) ma_tx_cut=tx
      IF(ty.GE.-.5) ma_ty_cut=ty
      IF(xo.GE.-.5) ma_x_ofs=xo
      IF(yo.GE.-.5)  ma_y_ofs=yo
      IF(txo.GE.-.5) ma_tx_ofs=txo
      IF(tyo.GE.-.5) ma_ty_ofs=tyo


      WRITE(*,*) 'Selected Cuts:'
      WRITE(*,*) ' x =',ma_x_cut
      WRITE(*,*) ' y =',ma_y_cut
      WRITE(*,*) ' tx=',ma_tx_cut
      WRITE(*,*) ' ty=',ma_ty_cut
      IF(ma_x_ofs.GE.-.5.OR.
     $   ma_y_ofs.GE.-.5.OR.
     $   ma_tx_ofs.GE.-.5.OR.
     $   ma_ty_ofs.GE.-.5)THEN
         WRITE(*,*) 'Selected offsets:'
         WRITE(*,*) ' x =',ma_x_ofs
         WRITE(*,*) ' y =',ma_y_ofs
         WRITE(*,*) ' tx=',ma_tx_ofs
         WRITE(*,*) ' ty=',ma_ty_ofs
      ENDIF
      END
      
