      SUBROUTINE MAKUSETDE
************************************************************************
*     Author     : Peter J. Weyers <weyers@ifh.de>
*     Description: Called by KUIP to interactivly set the callibration
*                  Error and Random generator seeds used in maesmear().
*
************************************************************************
      IMPLICIT NONE

#include "match98.fi"

      REAL    dE
      REAL    seed1,seed2

      CALL KUGETR(dE)
      CALL KUGETR(seed1)
      CALL KUGETR(seed2)


      IF(dE.NE.0) ma_dE=dE

      WRITE(*,'('' dE='',E,''%'')'),ma_de*100
      IF(seed1.GE.1E-40.AND.seed2.GE.1E-40) THEN
         CALL NORRIN(seed1,seed2)
         WRITE(*,*) ' seeds:',seed1,seed2,' (set)'
      ELSE
         CALL NORRUT(seed1,seed2)
         WRITE(*,*) ' seeds:',seed1,seed2,' (not changed)'
      ENDIF

      END
      
