
      subroutine maprintmx5(mat,name)
************************************************************************
*
* Author     : Peter J. Weyers
* Description: subroutine (to matxfit98()) to print 5x5 matrix contents for
*              debugging
*
*              
* Arguments:
*
      double precision mat(5,5)  ! Matrix to be printed
      character*5 name           ! ASCII strint to identify matrix in printout
*
************************************************************************
      CHARACTER*5 Xname(6)       ! for informal messages
      data Xname / ' z ',' x ',' y ',' tx',' ty','Q/p' /

      WRITE(*,*) 'matxfit98: ',name,'(i,k)='

      WRITE(*,*) '         ',
     $     'i \ k    x           y          tx          ty         Q/p'
              
      DO i=1,5
         WRITE(*,'(A,A3,G12.4,G12.4,G12.4,G12.4,G12.4,G12.4)') !
     $            '           ',Xname(i+1),(mat(i,k),k=1,5)
      ENDDO
      WRITE(*,*)
      
      RETURN
      
      END
