
      subroutine matulocBsem()

*     **** locate B & its lepton daughter(s) & store into /zma_pstat/
      implicit none
#include "arte/Arte.fi"

#include "auto/MTRA.fi"
#include "auto/MTRX.fi"
#include "auto/MVER.fi"
#include "auto/TOPP.fi"

#include "mapstat.fi"
c #include "pris/zmh.fi"
#include "match98.fi"
      INTEGER iw,i,pstat_nB0
      integer mc_b, mc_k0s, mc_lplus, mc_lminus,
     +    mc_ups, mc_other, mc, vert, ndaught, ii, tpname, jj
      real charge, mass
      integer code_b0, code_b0b, code_k0s,
c      code_jpsi, code_eplus,
c     +     code_eminus, code_muplus, code_muminus,
     $     code_piplus,code_piminus,code_bc2starp,code_lamb,code_lamb_b
      character*20 cname
      logical init



      data init /.false./
      save init, code_b0, code_b0b, code_k0s,
c           , code_jpsi, code_eplus,
c     +     code_eminus, code_muplus, code_muminus, 
     $     code_piplus,code_piminus,code_bc2starp,code_lamb,code_lamb_b

#include "arte/Arte.ff"
#include "auto/MTRA.ff"
#include "auto/MTRX.ff"
#include "auto/MVER.ff"
#include "auto/TOPP.ff"

      IF (.not.init) THEN
         code_b0      = tpname('B.')
         code_b0b     = tpname('B~')
         code_bc2starp= tpname('B_c2*+')
         code_lamb    = tpname('Lam_b.')
         code_lamb_b  = tpname('Lam_b.~')
c         code_jpsi    = tpname('Jpsi')
c         code_k0s     = tpname('K_S')
c         code_eplus   = tpname('e+')
c         code_eminus  = tpname('e-')
c         code_muplus  = tpname('mu+')
c         code_muminus = tpname('mu-')
c         code_piplus  = tpname('pi+')
c         code_piminus = tpname('pi-')
         init = .true.
      ENDIF


*     **** clear golden B buffer / set golden decays first
c     It's done in matuloclep !
c      ma_pstat_n = 0

*     **** loop over MC buffer, find JPsi
      DO mc_B=1,NMTRA()
c         not_counted=.TRUE.
c         WRITE(*,*) ' matulocBsem 1:',
c     $           ma_pstat_n,i,mc_B,ma_pstat(5,i),not_counted
c          DO i=1,ma_pstat_n
c c            WRITE(*,*) ' matulocBsem 2:',
c c     $           ma_pstat_n,i,mc_B,ma_pstat(5,i),not_counted
c             IF(mc_B.EQ.ma_pstat(5,i))THEN ! avoid double counting
c                not_counted=.FALSE.
c             ENDIF
c c            WRITE(*,*) ' matulocBsem 3:',
c c     $           ma_pstat_n,i,mc_B,ma_pstat(5,i),not_counted
c          ENDDO

         if ((omtra_topp(mc_b).GE.code_b0.AND.
     +        omtra_topp(mc_b).LE.code_bc2starp).OR.
     $        omtra_topp(mc_b).eq.code_lamb.OR.
     $        omtra_topp(mc_b).EQ.code_lamb_b) then

         
*          **** look for daughters
           ndaught = 0
           mc_lplus = 0
           mc_lminus = 0
           mc_other = 0
         
*          **** search for B daughter particles
           
           IF(ma_verblvl.GE.8)
     $          WRITE(*,'(A,3a4,a,i4,a,i4)')' matulocBsem    B    =',
     &          (HTOPP_NAME(iw,OMTRA_TOPP(mc_b)),iw=1,NTOPP_NAME),
     &          'mc= ',mc_b,', bver=', OMTRX_BVER(mc_b)
           DO mc=mc_B+1,NMTRA()
             IF(omtrx_btra(mc).eq.mc_B) THEN
                ndaught = ndaught + 1
                IF(ma_verblvl.GE.8)
     $             WRITE(*,'(A,3a4,a,i4,a,i4)')' matulocBsem daughter=',
     &               (HTOPP_NAME(iw,OMTRA_TOPP(mc)),iw=1,NTOPP_NAME),
     &               'mc= ',mc,', bver=', OMTRX_BVER(mc)
                IF (omtra_topp(mc).eq.code_eplus
     +            .or.omtra_topp(mc).eq.code_muplus) THEN
                   mc_lplus = mc
                   IF(ma_verblvl.GE.8)
     $                  WRITE(*,*) '             (got lep+)'
                ELSEIF (omtra_topp(mc).eq.code_eminus
     +               .or.omtra_topp(mc).eq.code_muminus) THEN
                   mc_lminus = mc
                   IF(ma_verblvl.GE.8)
     $                  WRITE(*,*) '             (got lep-)'
                ELSE
                   mc_other = mc
                ENDIF
             ENDIF
           ENDDO
 70        CONTINUE            ! JPSI daughters
         
           IF (mc_lplus.EQ.0.AND.mc_lminus.EQ.0) go to 800
         
*          **** JPSI -> (l+l-) decay found!
           IF (ma_pstat_n.lt.ma_pstatmax) THEN
              ma_pstat_n = ma_pstat_n + 1
              ma_pstat(pstat_lplus  ,ma_pstat_n) = mc_lplus
              ma_pstat(pstat_lminus ,ma_pstat_n) = mc_lminus
              ma_pstat(pstat_piplus ,ma_pstat_n) = 0
              ma_pstat(pstat_piminus,ma_pstat_n) = 0
              ma_pstat(pstat_JPsi   ,ma_pstat_n) = 0
              ma_pstat(pstat_K0s    ,ma_pstat_n) = 0
              ma_pstat(pstat_B0     ,ma_pstat_n) = mc_B
         
           ELSE
              IF(ma_verblvl.GE.4)
     $             print *,' matulocBsem: overflow '
           ENDIF
         ENDIF                  ! B0's
 800     CONTINUE
      ENDDO
 900  CONTINUE                  ! mc loop
      end








