
      subroutine matulocJPsi()

*     **** locate JPsi & lepton daughters & store into /zpstat/
      implicit none
#include "arte/Arte.fi"

#include "auto/MTRA.fi"
#include "auto/MTRX.fi"
#include "auto/MVER.fi"
#include "auto/TOPP.fi"

#include "match98.fi"
#include "mapstat.fi"
c #include "pris/zmh.fi"
      INTEGER iw,i,pstat_nB
      integer mc_b, mc_k0s, mc_lplus, mc_lminus,
     +    mc_jpsi, mc_other, mc, vert, ndaught, ii, tpname, jj
      real charge, mass
      integer code_b0, code_b0b, code_k0s,code_piplus,
     +     code_piminus
c     $     , code_jpsi, code_eplus,
c     +     code_eminus, code_muplus, code_muminus

      character*20 cname
      logical init,not_counted

      data init /.false./
      save init, code_b0, code_b0b, code_k0s, code_piplus,
     +     code_piminus
c     $     , code_jpsi, code_eplus,
c     +     code_eminus, code_muplus, code_muminus
#include "arte/Arte.ff"
#include "auto/MTRA.ff"
#include "auto/MTRX.ff"
#include "auto/MVER.ff"
#include "auto/TOPP.ff"

      IF (.not.init) THEN
         code_b0      = tpname('B.')
         code_b0b     = tpname('B~')
c         code_jpsi    = tpname('Jpsi')
         code_k0s     = tpname('K_S')
c         code_eplus   = tpname('e+')
c         code_eminus  = tpname('e-')
c         code_muplus  = tpname('mu+')
c         code_muminus = tpname('mu-')
         code_piplus  = tpname('pi+')
         code_piminus = tpname('pi-')
         init = .true.
      ENDIF

      pstat_nB=ma_pstat_n

*     **** loop over MC buffer, find JPsi
      DO mc_JPsi=1,NMTRA()
         not_counted=.TRUE.
c         WRITE(*,*) ' matulocJPsi.F 1:',
c     $           pstat_nB,i,mc_JPsi,ma_pstat(5,i),not_counted
         DO i=1,pstat_nB
c            WRITE(*,*) ' matulocJPsi.F 2:',
c     $           pstat_nB,i,mc_JPsi,ma_pstat(5,i),not_counted
            IF(mc_JPsi.EQ.ma_pstat(pstat_JPsi,i))THEN ! avoid double counting
               not_counted=.FALSE.
            ENDIF
c            WRITE(*,*) ' matulocJPsi.F 3:',
c     $           pstat_nB,i,mc_JPsi,ma_pstat(5,i),not_counted
         ENDDO
         IF (not_counted) THEN

          IF (omtra_topp(mc_JPsi).eq.code_JPsi) THEN
*           **** look for daughters
            ndaught = 0
            mc_lplus = 0
            mc_lminus = 0
            mc_other = 0

*           **** search for JPSI daughter particles
            DO mc=mc_JPsi+1,NMTRA()
              IF(omtrx_btra(mc).eq.mc_JPsi) THEN
                 ndaught = ndaught + 1
                 IF (omtra_topp(mc).eq.code_eplus
     +             .or.omtra_topp(mc).eq.code_muplus) THEN
                    mc_lplus = mc
                 ELSEIF (omtra_topp(mc).eq.code_eminus
     +                .or.omtra_topp(mc).eq.code_muminus) THEN
                    mc_lminus = mc
                 ELSE
                    mc_other = mc
                 ENDIF
                 IF(ma_verblvl.GE.20)
     $             WRITE(*,'(A,3a4,a,i4,a,i4)')' matulocJPsi daughter=',
     &                (HTOPP_NAME(iw,OMTRA_TOPP(mc)),iw=1,NTOPP_NAME),
     &                'mc= ',mc,', bver=', OMTRX_BVER(mc)
              ENDIF
            ENDDO
 70         CONTINUE            ! JPSI daughters

            IF (ndaught.ne.2.or.mc_lplus.eq.0 ! reject other JPSI decays
     +           .or.mc_lminus.eq.0.or.mc_other.ne.0) go to 800

*           **** JPSI -> (l+l-) decay found!
            IF (ma_pstat_n.lt.ma_pstatmax) THEN
               ma_pstat_n = ma_pstat_n + 1
               ma_pstat(pstat_lplus  ,ma_pstat_n) = mc_lplus
               ma_pstat(pstat_lminus ,ma_pstat_n) = mc_lminus
               ma_pstat(pstat_piplus ,ma_pstat_n) = 0
               ma_pstat(pstat_piminus,ma_pstat_n) = 0
               ma_pstat(pstat_JPsi   ,ma_pstat_n) = mc_JPsi
               ma_pstat(pstat_K0s    ,ma_pstat_n) = 0
               ma_pstat(pstat_B0     ,ma_pstat_n) = 0

            ELSE
               print *,' matulocJPsi: overflow '
            ENDIF
          ENDIF                  ! B0's
         ENDIF
 800     CONTINUE
      ENDDO
 900  CONTINUE                  ! mc loop

      end








