
      subroutine matulocY()

*     **** locate Upsilons & lepton daughters & store into /zpstat/
      implicit none
#include "arte/Arte.fi"

#include "auto/MTRA.fi"
#include "auto/MTRX.fi"
#include "auto/MVER.fi"
#include "auto/TOPP.fi"

#include "mapstat.fi"
c #include "pris/zmh.fi"
      INTEGER iw,i,pstat_nB0
      integer mc_b, mc_k0s, mc_lplus, mc_lminus,
     +    mc_ups, mc_other, mc, vert, ndaught, ii, tpname, jj
      real charge, mass
      integer code_b0, code_b0b, code_jpsi, code_k0s, code_eplus,
     +     code_eminus, code_muplus, code_muminus, code_piplus,
     +     code_piminus,code_Ups,code_Ups2,code_Ups3,code_Ups4,
     +     code_Ups5,code_Ups6

      character*20 cname
      logical init

      data init /.false./
      save init, code_b0, code_b0b, code_jpsi, code_k0s, code_eplus,
     +     code_eminus, code_muplus, code_muminus, code_piplus,
     +     code_piminus,code_Ups,code_Ups2,code_Ups3,code_Ups4,
     +     code_Ups5,code_Ups6
#include "arte/Arte.ff"
#include "auto/MTRA.ff"
#include "auto/MTRX.ff"
#include "auto/MVER.ff"
#include "auto/TOPP.ff"

      IF (.not.init) THEN
         code_b0      = tpname('B.')
         code_b0b     = tpname('B~')
         code_jpsi    = tpname('Jpsi')
         code_k0s     = tpname('K_S')
         code_eplus   = tpname('e+')
         code_eminus  = tpname('e-')
         code_muplus  = tpname('mu+')
         code_muminus = tpname('mu-')
         code_piplus  = tpname('pi+')
         code_piminus = tpname('pi-')
         code_Ups     = tpname('Upsilon')
         code_Ups2    = tpname('Ups2S')
         code_Ups3    = tpname('Ups3S')
         code_Ups4    = tpname('Ups4S')
         code_Ups5    = tpname('Ups5S')
         code_Ups6    = tpname('Ups6S')
         init = .true.
      ENDIF


*     **** clear golden B buffer / set golden decays first
c     It's done in matuloclep !
c      ma_pstat_n = 0

*     **** loop over MC buffer, find JPsi
      DO mc_Ups=1,NMTRA()
c         not_counted=.TRUE.
c         WRITE(*,*) ' matulocY 1:',
c     $           ma_pstat_n,i,mc_Ups,ma_pstat(5,i),not_counted
c          DO i=1,ma_pstat_n
c c            WRITE(*,*) ' matulocY 2:',
c c     $           ma_pstat_n,i,mc_Ups,ma_pstat(5,i),not_counted
c             IF(mc_Ups.EQ.ma_pstat(5,i))THEN ! avoid double counting
c                not_counted=.FALSE.
c             ENDIF
c c            WRITE(*,*) ' matulocY 3:',
c c     $           ma_pstat_n,i,mc_Ups,ma_pstat(5,i),not_counted
c          ENDDO
         IF (omtra_topp(mc_Ups).eq.code_Ups.or.
     $       omtra_topp(mc_Ups).eq.code_Ups2.or.
     $       omtra_topp(mc_Ups).eq.code_Ups3.or.
     $       omtra_topp(mc_Ups).eq.code_Ups4.or.
     $       omtra_topp(mc_Ups).eq.code_Ups5.or.
     $       omtra_topp(mc_Ups).eq.code_Ups6) then
         
*          **** look for daughters
           ndaught = 0
           mc_lplus = 0
           mc_lminus = 0
           mc_other = 0
         
*          **** search for JPSI daughter particles
           DO mc=mc_Ups+1,NMTRA()
             IF(omtrx_btra(mc).eq.mc_Ups) THEN
                ndaught = ndaught + 1
                IF (omtra_topp(mc).eq.code_eplus
     +            .or.omtra_topp(mc).eq.code_muplus) THEN
                   mc_lplus = mc
                ELSEIF (omtra_topp(mc).eq.code_eminus
     +               .or.omtra_topp(mc).eq.code_muminus) THEN
                   mc_lminus = mc
                ELSE
                   mc_other = mc
                ENDIF
                WRITE(*,'(A,3a4,a,i4,a,i4)')' matulocY daughter=',
     &               (HTOPP_NAME(iw,OMTRA_TOPP(mc)),iw=1,NTOPP_NAME),
     &               'mc= ',mc,', bver=', OMTRX_BVER(mc)
             ENDIF
           ENDDO
 70        CONTINUE            ! JPSI daughters
         
           IF (ndaught.ne.2.or.mc_lplus.eq.0 ! reject other JPSI decays
     +          .or.mc_lminus.eq.0.or.mc_other.ne.0) go to 800
         
*          **** JPSI -> (l+l-) decay found!
           IF (ma_pstat_n.lt.ma_pstatmax) THEN
              ma_pstat_n = ma_pstat_n + 1
              ma_pstat(pstat_lplus  ,ma_pstat_n) = mc_lplus
              ma_pstat(pstat_lminus ,ma_pstat_n) = mc_lminus
              ma_pstat(pstat_piplus ,ma_pstat_n) = 0
              ma_pstat(pstat_piminus,ma_pstat_n) = 0
              ma_pstat(pstat_JPsi   ,ma_pstat_n) = mc_Ups
              ma_pstat(pstat_K0s    ,ma_pstat_n) = 0
              ma_pstat(pstat_B0     ,ma_pstat_n) = 0
         
           ELSE
              print *,' matulocY: overflow '
           ENDIF
         ENDIF                  ! B0's
 800     CONTINUE
      ENDDO
 900  CONTINUE                  ! mc loop

      end








