
      subroutine matulocanylep()

*     **** locate JPsi & lepton daughters & store into /zpstat/
      implicit none
#include "arte/Arte.fi"

#include "auto/MTRA.fi"
#include "auto/MTRX.fi"
#include "auto/MVER.fi"
#include "auto/TOPP.fi"

#include "match98.fi"
#include "mapstat.fi"
c #include "pris/zmh.fi"
      INTEGER iw,i,pstat_nprev,pstat_nplus,pstat_nminus
      integer mc_lplus, mc_lminus,
     +    mc_jpsi, mc_other, mc, vert, ndaught, ii, tpname, jj
      real charge, mass

      character*20 cname
      logical init,not_counted

#include "arte/Arte.ff"
#include "auto/MTRA.ff"
#include "auto/MTRX.ff"
#include "auto/MVER.ff"
#include "auto/TOPP.ff"

      pstat_nprev=ma_pstat_n

c   Clean further ma_pstat() entries

      DO pstat_nplus=pstat_nprev+1,ma_pstatmax
         ma_pstat(pstat_lplus  ,pstat_nplus) = 0
         ma_pstat(pstat_piplus ,pstat_nplus) = 0
         ma_pstat(pstat_piminus,pstat_nplus) = 0
         ma_pstat(pstat_JPsi   ,pstat_nplus) = 0
         ma_pstat(pstat_K0s    ,pstat_nplus) = 0
         ma_pstat(pstat_B0     ,pstat_nplus) = 0
      ENDDO    

*     **** loop over MC buffer, find l+
      pstat_nplus=pstat_nprev
      DO mc_lplus=1,NMTRA()
         not_counted=.TRUE.
         DO i=1,pstat_nprev
            IF(mc_lplus.EQ.ma_pstat(pstat_lplus,i))THEN ! avoid double counting
               not_counted=.FALSE.
            ENDIF
         ENDDO
         IF (not_counted) THEN

          IF (omtra_topp(mc_lplus).eq.code_eplus.OR.
     $           omtra_topp(mc_lplus).EQ.code_muplus) THEN
            IF (pstat_nplus.lt.ma_pstatmax) THEN
               pstat_nplus = pstat_nplus + 1
               ma_pstat(pstat_lplus  ,pstat_nplus) = mc_lplus
               IF(ma_verblvl.GE.20) WRITE(*,*) ' matulocanylep:',
     $              ' added lepton (+)'
            ELSE
               IF(ma_verblvl.GE.5) WRITE(*,*) ' matulocanylep:',
     $              ' overflow (+)'
            ENDIF
          ENDIF
         ENDIF
      ENDDO

*     **** loop over MC buffer, find l-
      pstat_nminus=pstat_nprev
      DO mc_lminus=1,NMTRA()
         not_counted=.TRUE.
         DO i=1,pstat_nprev
            IF(mc_lminus.EQ.ma_pstat(pstat_lminus,i))THEN ! avoid double counting
               not_counted=.FALSE.
            ENDIF
         ENDDO
         IF (not_counted) THEN

          IF (omtra_topp(mc_lminus).eq.code_eminus.OR.
     $           omtra_topp(mc_lminus).EQ.code_muminus) THEN
            IF (pstat_nminus.lt.ma_pstatmax) THEN
               pstat_nminus = pstat_nminus + 1
               ma_pstat(pstat_lminus  ,pstat_nminus) = mc_lminus
               IF(ma_verblvl.GE.20) WRITE(*,*) ' matulocanylep:',
     $              ' added lepton (-)'
            ELSE
               IF(ma_verblvl.GE.5) WRITE(*,*) ' matulocanylep:',
     $              ' overflow (-)'
            ENDIF
          ENDIF
         ENDIF
      ENDDO
      IF(pstat_nminus.GT.pstat_nplus) THEN
         ma_pstat_n=pstat_nminus
      ELSE
         ma_pstat_n=pstat_nplus
      ENDIF

      end








