
      subroutine matuloclep()

      implicit none

************************************************************************
* Author     : Peter J. Weyers <weyers@ifh.de>
* Description: Look for  reaction selected by match98/leptonmode in MC
*              information and fill MTRA row numbers in ma_pstat(,)
*
*
************************************************************************


#include "match98.fi"
#include "mapstat.fi"
      INTEGER ngold

      ma_pstat_n=0

      IF(ma_verblvl.GE.20) WRITE(*,*) ' matuloclep:',
     $     ' ma_lep_mode=',ma_lep_mode

      IF(0.NE.IAND(ma_lep_mode,ma_lep_golden)) 
     $     CALL matulocgol()

      IF(0.NE.IAND(ma_lep_mode,ma_lep_B)) 
     $     CALL matulocb()

      IF(0.NE.IAND(ma_lep_mode,ma_lep_JPsi)) 
     $     CALL matulocJPsi()

      IF(0.NE.IAND(ma_lep_mode,ma_lep_any)) 
     $     CALL matulocanylep()

      IF(0.NE.IAND(ma_lep_mode,ma_lep_Bsem)) 
     $     CALL matulocBsem()

      IF(0.NE.IAND(ma_lep_mode,ma_lep_Y)) 
     $     CALL matulocY()

      IF(0.NE.IAND(ma_lep_mode,ma_lep_Csem)) 
     $     CALL matulocCsem()

      IF(ma_lep_mode.EQ.0.AND.ma_verblvl.GE.2)
     $     WRITE(*,*) ' matuloclep: No valid Lepton Selection mode'


      IF(ma_verblvl.GE.10) THEN
         WRITE(*,*) 
     $        ' matuloclep:   l+    l-   pi+    pi-  JPsi/Y  K     B'
         DO ngold=1,ma_pstat_n
            WRITE(*,'(a,7I6)') '            ',
     $           ma_pstat(pstat_lplus  ,ngold),
     $           ma_pstat(pstat_lminus ,ngold),
     $           ma_pstat(pstat_piplus ,ngold),
     $           ma_pstat(pstat_piminus,ngold),
     $           ma_pstat(pstat_JPsi   ,ngold),
     $           ma_pstat(pstat_K0s    ,ngold),
     $           ma_pstat(pstat_B0     ,ngold)
         ENDDO
      ENDIF   

      end
